#!/bin/sh
cd ${0%/*} || exit 1    # run from this directory

# Source tutorial run functions
. $WM_PROJECT_DIR/bin/tools/RunFunctions

setControlDict()
{
    controlDict="system/controlDict"

    sed \
    -e s/"\(deltaT[ \t]*\) 5e-06;"/"\1 1e-05;"/g \
    -e s/"\(endTime[ \t]*\) 0.005;"/"\1 0.015;"/g \
    -e s/"\(writeInterval[ \t]*\) 10;"/"\1 50;"/g \
    $controlDict > temp.$$
    mv temp.$$ $controlDict
}


# Do moriyoshiHomogeneous
( cd moriyoshiHomogeneous && foamRunTutorials )

# Clone case
cloneCase moriyoshiHomogeneous moriyoshiHomogeneousPart2

# Modify and execute
(
    cd moriyoshiHomogeneousPart2 || exit

    cp -r ../moriyoshiHomogeneous/0.005 .
    setControlDict
    runApplication `getApplication`
)

# ----------------------------------------------------------------- end-of-file
